CMU462::Matrix3x3 Class Reference

Defines a 3x3 matrix. More...

`#include <matrix3x3.h>`

Collaboration diagram for CMU462::Matrix3x3:

## Public Member Functions

void | zero (double val=0.0)
| Sets all elements to val.
double | det (void) const
| Returns the determinant of A.
double | norm (void) const
| Returns the Frobenius norm of A.
Vector3D & | column (int i)
| Returns the ith column.
Matrix3x3 | T (void) const
| Returns the transpose of A.
Matrix3x3 | inv (void) const
| Returns the inverse of A.

## Static Public Member Functions

static Matrix3x3 | identity (void)
| Returns the 3x3 identity matrix.
static Matrix3x3 | crossProduct (const Vector3D &u)
| Returns a matrix representing the (left) cross product with u.

## Detailed Description

Defines a 3x3 matrix.

3x3 matrices are extremely useful in computer graphics.

The documentation for this class was generated from the following files:

- lib/matrix3x3.h
- lib/matrix3x3.cpp